Subject: Re: bug#27413: sablevm-classpath FTBFS on aarch64

From: Ricardo Wurmus <[email-masked]>
Date: Sun, 18 Jun 2017 12:15:41 +0200

Efraim Flashner <[email-masked]> writes:

> On Sun, Jun 18, 2017 at 11:44:28AM +0200, Ricardo Wurmus wrote:
>> 
>> Efraim Flashner <[email-masked]> writes:
>> 
>> > Currently sablevm-classpath FTBFS on aarch64. I've attached the build
>> > log from the build.
>> […]
>> > Exactly one of IEEE_8087, IEEE_MC68k, VAX, or IBM should be defined.
>> 
>> Does it help to define __IEEE_LITTLE_ENDIAN or __IEEE_BIG_ENDIAN (I
>> don’t know what the right value for your target is)?
>> 
>
> For our aarch64 support its little endian. How would I define it?

I’m not sure but I’d try to add “-D__IEEE_LITTLE_ENDIAN” to the CFLAGS
or CPPFLAGS.

-- 
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net